wreport::tabledir::Tabledirs Class Reference

## Public Member Functions

| Tabledirs (const Tabledirs &)=delete
Tabledirs & | operator= (const Tabledirs &)=delete
void | add_default_directories ()
| Add the default directories according to compile-time and environment variables.
void | add_directory (const std::string &dir)
| Add a table directory to this collection.
const tabledir::Table * | find_bufr (const BufrTableID &id)
| Find a BUFR table.
const tabledir::Table * | find_crex (const CrexTableID &id)
| Find a CREX table.
const tabledir::Table * | find (const std::string &basename)
| Find a BUFR or CREX table by file name.
void | print (FILE *out)
| Print a list of all tables found.
void | explain_find_bufr (const BufrTableID &id, FILE *out)
| Print the step by step process by which a table is selected for id.
void | explain_find_crex (const CrexTableID &id, FILE *out)
| Print the step by step process by which a table is selected for id.

## Static Public Member Functions

static Tabledirs & | get ()
| Get the default tabledir instance.

## Protected Attributes

std::vector< std::string > | dirs
Index * | index

The documentation for this class was generated from the following file:

- tabledir.h